#define FOCUS_PIN 51
#define FOCUS_LED 50
#define SHUTTER_PIN 53
#define SHUTTER_LED 52

void setup()
{
  pinMode(FOCUS_PIN, OUTPUT);
  pinMode(SHUTTER_PIN, OUTPUT);
  digitalWrite(FOCUS_PIN, LOW);
  digitalWrite(SHUTTER_PIN, LOW);
  pinMode(FOCUS_LED, OUTPUT);
  pinMode(SHUTTER_LED, OUTPUT);
  Serial.begin(9600); 
}

void loop()
{
  int cmd;

  while (Serial.available() > 0)
  {
    cmd = Serial.read();

    switch (cmd)
    {
    case 'f':
      {
        digitalWrite(FOCUS_PIN, HIGH);
        delay(800); // May want to adjust this depending on focus time
        digitalWrite(FOCUS_PIN, LOW);
        digitalWrite(FOCUS_LED, HIGH);
        delay(1000);
        digitalWrite(FOCUS_LED, LOW);
        break;
      }
    case 's':
      {
        digitalWrite(SHUTTER_PIN, HIGH);
        delay(2000); // May want to adjust this depending on shot type
        digitalWrite(SHUTTER_PIN, LOW);
        digitalWrite(SHUTTER_LED, HIGH);
        delay(1000);
        digitalWrite(SHUTTER_LED, LOW);
        break;
      }
    default:
      {
        Serial.println("ERROR!");
      }
    }
  }
}
